Screening run status and results
curl --request GET \
--url https://app.amoreg.com/api/v1/screenings/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.amoreg.com/api/v1/screenings/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.amoreg.com/api/v1/screenings/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"keywords": [
"<string>"
],
"jurisdictions": [
"<string>"
],
"results": [
{
"keyword": "<string>",
"matches": [
{
"content": "<string>",
"score": 123,
"source": "<string>",
"citationPath": "<string>",
"jurisdictionSlugs": [
"<string>"
]
}
]
}
],
"error": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z"
}Screenings
Screening status
GET
/
screenings
/
{id}
Screening run status and results
Authorizations
Organisation API key created in the dashboard (format: amrg_live_…). Sent as Authorization: Bearer amrg_live_….
Path Parameters
Response
200 - application/json
Run state; results is set once status is completed
⌘I